Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class JasperListener

    java.lang.Object
      org.apache.catalina.core.JasperListener

All Implemented Interfaces:
  LifecycleListener

    public class JasperListener

extends java.lang.Object
implements LifecycleListener

This listener is designed to initialize Jasper before any web applications are started.

Since:
  4.1
Version:
  $Id: JasperListener.java 939336 2010-04-29 15:00:41Z kkolinko $
Author:
  Remy Maucherat

Field Summary
`protected StringManager` | `sm` The string manager for this package.

Constructor Summary
`JasperListener()`

Method Summary
`void` | `lifecycleEvent(LifecycleEvent event)` Primary entry point for startup and shutdown events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected StringManager sm

  The string manager for this package.

Constructor Detail

### JasperListener

    public JasperListener()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Primary entry point for startup and shutdown events.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The event that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.